<bugID>1245274<Summary>JSON Viewer: support for plain text .json URL extensions</Summary><Description>(We attempted this once in bug 1230544, but it was backed out for breaking things.)

## Reach: JSON viewer on text/plain responses

Many JSON URLs out there have no Content-Type header in the response or respond falsely with Content-Type:text/plain. Here&#8217;s one example:
https://raw.githubusercontent.com/npm/npm/master/package.json

Maybe there&#8217;s an opportunity for using the JSON viewer on URLs that end in &#8220;.json&#8221; when the Content-Type is null or text/plain.

:clarkbw would like to try again:

I think a critical piece of the original request was that links ending in .json which are also being rendered as plaintext.  This URL is an example of what should be rendered in our viewer: https://raw.githubusercontent.com/npm/npm/master/package.json while this URL should be left alone as the content is coming through as HTML https://github.com/npm/npm/blob/master/package.json

This patch seems to only look for links ending in .json and I can see that as being problematic, thus the back out in bug 1235118</Description></bugID>